Some of you may wonder why i included so many softwares in a live distro, the answer is:

Because you can select them by yourself!!!

If you peek into the PixieLive3RC1/modules directory you will notice a strange code on modules names. They are numbered. The numbering system is a code which tells you the modules dependencies.

There are 5 different modules categories (Identified by the starting letter).

  • B - Basic modules
    • don't touch them, they are always needed by the system
  • S - Single modules
    • they doesn't require any other module
    • they are not required by anyone else
    • you can freely remove them
  • C - Children modules
    • they are not required by anyone
    • you can remove them if you don't need them
  • G - Grandparent modules
    • they are required by some other modules (type C or P)
    • they don't require any other module
    • before removing them you should remove any other program which require them
  • P - Parent Modules
    • they are required by some other modules (type C or P)
    • they require some other module
    • before removing them you should remove any other program which require them (type C or P)

After the name there is an additional code which describe the dependencies

Dependencies code:

  • R - requires
    • packages required by this package
    • you can't remove them or this package will not work anymore
  • I - Is required
    • packages which require this package
    • if you remove this package, they will not work anymore

That's it!

A practical example:

  • P35_imagemagick-6.7.8.7_RP34G47G61_IC04P40C26.lzm
    • parent module
      • it require other modules
      • it is required by other modules
      • you will have to work a bit before removing it
    • is required by
      • C04 - C04_calibre-0.9.20_RP39P38G54G58P35.lzm
      • P40 - P40_inkscape-0.48.4_RG51G48P35G61G62G59_IC26.lzm
      • C26 - C26_lyx-2.0.5.1_RP35G55G42P37G48P40G59.lzm (it's in the LaTeX directory)
      • if you remove P35_imagemagick these programs will not work properly anymore
    • requires
      • P34 - P34_lensfun-0.2.5-r2_RG59_IC05P35.lzm
      • G47 - G47_exiv2-0.23-r1_IC29C05P35C23.lzm
      • G61 - G61_lcms-1.19_IP40P35.lzm
      • you can't remove these packages or P35_imagemagick will stop working properly

Paying attention to the dependencies indicated on the packages names you can easily customize you image.

Notes:

  • Some packages are grouped in the LaTeX subdirectory for convenience, you can create your own groups (subdirectories), they doesn't affect the module loading in any way.
  • I created the LaTeX group so who doesn't need LaTeX can easily remove all the packages related to it.

Open for discussion!